# NodeComplete(string,Action)

Method in [DialogueViewBase](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase.md)

## Summary

Called by the [DialogueRunner](/2.0/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the end of a node has been reached.

```csharp
public virtual void NodeComplete(string nextNode, Action onComplete)
```

## Remarks

This method may be called multiple times before [DialogueComplete()](/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.dialoguecomplete.md) is called. If this method returns `Dialogue.HandlerExecutionType.ContinueExecution` , do not call the `onComplete` method.

The default implementation does nothing.

## Parameters

| Name                | Description                                                                                       |
| ------------------- | ------------------------------------------------------------------------------------------------- |
| `string` nextNode   | The name of the next node that is being entered.                                                  |
| `Action` onComplete | A method that should be called to /// indicate that the DialogueRunner should continue executing. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.nodecomplete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
